#
# spec file for package kaffeine (Version 0.8.2)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel atk attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cdparanoia check coreutils cpio cpp cpp41 cracklib cups-devel cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils e2fsprogs expat fam fam-devel file filesystem fillup findutils flac flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gconf2 gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz gnome-filesystem gnome-vfs2 gpm grep groff gstreamer010 gstreamer010-devel gstreamer010-plugins-base gstreamer010-plugins-base-devel gtk2 gzip info insserv jack jack-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd krb5 less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libgcc41 libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libltdl libmng libmng-devel libmudflap41 libnscd libogg libogg-devel liboil libpng libpng-devel libsmbclient libstdc++-devel libstdc++41 libstdc++41-devel libtheora libtiff libtiff-devel libtool libvolume_id libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio linux-kernel-headers m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel orbit2 pam pam-modules pango patch pcre pcre-devel perl permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline rpm sed sgml-skel speex sqlite strace sudo sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xine-devel xine-lib xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           kaffeine
BuildRequires:  cdparanoia kdelibs3-devel xine-devel xine-lib
%if %suse_version > 1001
BuildRequires:  gstreamer010-plugins-base-devel
%else
BuildRequires:  gstreamer-plugins-devel
%endif
URL:            http://kaffeine.sourceforge.net/
License:        GNU General Public License (GPL)
Group:          Productivity/Multimedia/Video/Players
Summary:        Xine-Based Multimedia Player
Version:        0.8.2
Release:        37
%define rversion %version
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       kdelibs3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdelibs3`)
Provides:       kaxtv
Obsoletes:      kaxtv
Source0:        %name-%rversion.tar.bz2
Source3:        logo04.mpg
Source4:        logo.ogg
Source5:        cs.po
Patch0:         %name.diff
Patch1:         adjust-mimetypes.diff
Patch2:         messagebox-dvd.diff
Patch4:         mutex.diff
Patch5:         kaffeine-media.diff
Patch7:         kaffeine-gstreamer-0-10.patch
Patch8:         kaffeine-quote-subs.patch
Patch9:         fix-array-range.diff
Patch10:        fix-german-translation.diff
Patch11:        disable-kaffeine-embedding.diff

%description
Kaffeine plays all files and devices supported by Xine. For example,
MPEG files, AVI (if the codec being used is supported by Xine), MP3,
and Ogg Vorbis. It also handles Video CDs, DVDs, and DVB cards.



Authors:
--------
    Jrgen Kofler <kaffeine@gmx.net>

%debug_package
%package gstreamer
Group:          Productivity/Multimedia/Video/Players
Summary:        Multimedia Player using Gstreamer

%description gstreamer
This plugin enables Kaffeine to play via the Gstreamer framework
instead of Xine.

The gstreamer backend can only get used for the visualization of audio
sources.



Authors:
--------
    Jrgen Kofler <kaffeine@gmx.net>

%prep
%setup -q -n %name-%rversion
%patch
%patch1
%patch2
%patch4
#%patch5
%if %suse_version > 1001
%patch7
%endif
%patch8
%patch9
%patch10
%if %suse_version < 1030
%patch11
%endif
cp %SOURCE5 po/
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
./configure $configkde --disable-final
make %{?jobs:-j%jobs}

%install
. /etc/opt/kde3/common_options
make DESTDIR=${RPM_BUILD_ROOT} $INSTALL_TARGET
kde_post_install
#
%if %suse_version > 910
install -m 0644 %SOURCE4 $RPM_BUILD_ROOT/opt/kde3/share/apps/kaffeine/logo.avi
%else
install -m 0644 %SOURCE3 $RPM_BUILD_ROOT/opt/kde3/share/apps/kaffeine/logo.avi
%endif
# -r to get rid of Music
%suse_update_desktop_file -r kaffeine KDE AudioVideo Player Video
rm -rf $RPM_BUILD_ROOT/opt/kde3/share/locale/xx
rm $RPM_BUILD_ROOT/opt/kde3/share/mimelnk/application/x-mplayer2.desktop
%find_lang %name

%post
%run_ldconfig

%postun
%run_ldconfig

%files -f %name.lang
%defattr(-,root,root)
/opt/kde3/bin/*
/opt/kde3/include/*.h
/opt/kde3/include/kaffeine
/opt/kde3/%_lib/lib*
/opt/kde3/%_lib/kde3/libxinepart.*
/opt/kde3/%_lib/kde3/libkaffeineoggvorbis.*
/opt/kde3/share/appl*/*/*
/opt/kde3/share/apps/kaffeine
/opt/kde3/share/apps/konqueror
/opt/kde3/share/apps/profiles
/opt/kde3/share/icons/*
/opt/kde3/share/mimelnk/*/*.desktop
/opt/kde3/share/services/xine_part.desktop
/opt/kde3/share/services/kaffeineoggvorbis.desktop
/opt/kde3/share/servicetypes/kaffeineaudioencoder.desktop
/opt/kde3/share/servicetypes/kaffeinedvbplugin.desktop
/opt/kde3/share/doc/HTML/en/kaffeine
%if %suse_version < 930
%doc %lang(zh_CN) /opt/kde3/share/doc/HTML/zh_CN
%endif

%files gstreamer
%defattr(-,root,root)
/opt/kde3/%_lib/kde3/libgstreamerpart.*
/opt/kde3/share/apps/gstreamerpart
/opt/kde3/share/services/gstreamer_part.desktop

%changelog
* Tue May 08 2007 - dmueller@suse.de
- kaffeine part causes konqueror crashes (#257359)
* Mon Nov 27 2006 - stbinner@suse.de
- fix one faulty German translation
* Sat Nov 25 2006 - coolo@suse.de
- fix autoconf setup for translations (#223736)
* Mon Nov 13 2006 - wstephenson@suse.de
- fix DVD playback warning dialog logic
* Mon Nov 13 2006 - wstephenson@suse.de
- fix DVD playback warning URL
* Thu Nov 09 2006 - stbinner@suse.de
- fix array subscript out of range (#212476)
* Sat Sep 09 2006 - stbinner@suse.de
- update to version 0.8.2:
  * fixed: removed statusBar.
  * Disc: bigendian fix.
  * DVB: added current programm OSD progress bar
  * DVB: speed up OSD
  * DVB: fixed timer edit bug
  * DVB: added dvbNewTimer dcop func.
  * DVB: allow overlapping timers to start.
  * fixed: make sure to load xine_part instead of old kaffeine_part.
  * xine_part: removed empty audio/subtitles channels.
  * Kaffeine_part(s): added an entry in context menu to toggle
  minimal mode.
  * Playlist: added a "Clear Current Playlist" menu entry.
  * Playlist: autodownload cover now optional.
  * fixed: update google fetcher.
  * fixed: allow toggling from/to player/playlist even in fullscreen.
  * DVB: show SNR value for scanned channels, so a dvb-t user can
  choose the best one.
  * DVB: selectable channels icons (rigth click on a channel name
  in the list)
  * DVB: added "Scheduled" button in EPG window.
  * DVB: add dvb-t 8mhz autoscan mode for devices that support it.
  * fixed: switch to player window if mime does not contain "audio"
  * xine_part: block messages when filename contains "#"
  * DVB: cicam support, by Christoph Pfister * Systray: reversed
  mouse wheel behaviour.
  * Playlist: added a KURLComboBox to file browser.
  * DVB: fixed fast zap lock.
  * fixed: reduced minimum window size.
  * Playlist: autoselect subtitle when unique.
* Thu Aug 24 2006 - stbinner@suse.de
- fix ability to switch back to kaffeine player engine (#159367)
* Thu Aug 17 2006 - stbinner@suse.de
- fix x-mplayer2.desktop file conflict with kdelibs3
* Fri Jul 21 2006 - schwab@suse.de
- Quote '&' in subtitle names in playlist [KDE#131180].
* Sun Jun 04 2006 - coolo@suse.de
- allow Novell translations
* Mon May 15 2006 - stbinner@suse.de
- update to version 0.8.1
  * fixed: configure check for cdparanoia.
  * Disc: force playing dvd/vcd with engine's default drive if
  kded_mediamanager fails to identify it.
  * kaffeine-part: plug dvd nav actions
  * DVB: write to fifo from a thread to circumvent deadlocks when
  xine stops (or fails) reading.
  * kaffeine-part: set skip forward/backward to 20s (to avoid
  "skating" when seeking in divx)
  * DVB: avoid negative freq value.
  * fixed: system:/media urls
  * fixed: include qapplication.h instead of qapp.h
  * fixed: use memcpy instead of mempcpy(gnu only) in ogg encoder.
  * fixed: ogg encoder makefile.
* Mon Apr 10 2006 - jpr@suse.de
- Improve gstreamer 0.10 by getting visualization to work
* Sun Apr 09 2006 - jpr@suse.de
- Move gstreamer part to 0.10
* Fri Mar 24 2006 - dmueller@suse.de
- fix buffer overflow (#156952, CVE-2006-0051)
* Sat Mar 18 2006 - coolo@suse.de
- fixed another case of system:/ problem (playing mp3s from CD
  would "download" the file first)
* Thu Feb 16 2006 - coolo@suse.de
- backported SVN fix for system:/ URLs (#150527)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 - stbinner@suse.de
- Update URL in "DVDs cannot be played" messagebox to working one
- Better check if xine-lib packaged by SUSE is installed
* Sat Oct 22 2005 - schwab@suse.de
- More finegraned locking.
* Sat Sep 17 2005 - schwab@suse.de
- Fix missing mutex [#106044].
* Wed Sep 07 2005 - schwab@suse.de
- Fix undefined operation.
* Tue Sep 06 2005 - adrian@suse.de
- update to version 0.7.1
  * new translations
  * crash fix with empty DVB lists in EPG handler
* Mon Sep 05 2005 - adrian@suse.de
- enable kaffeine kpart again, but do not associate any mimetypes
  (#115242)
* Tue Aug 30 2005 - adrian@suse.de
- disable kaffeine kpart (#11406)
- disable some possible illegal links
- do not create system tray icon by default
* Sun Aug 07 2005 - adrian@suse.de
- update to version 0.7
  * improved DVB support
  * optional Gstreamer support via kaffeine-gstreamer package
  * media:/ slave support
- remove xine-mad dependency
* Fri Aug 05 2005 - coolo@suse.de
- some proofreading for our patches
* Wed Mar 30 2005 - adrian@suse.de
- add czech translation from Klara
* Thu Mar 24 2005 - adrian@suse.de
- update to version 0.6
  * DVB support merged from kaxtv
* Fri Mar 11 2005 - adrian@suse.de
- remove too late XInitThread() call in kpart, which can cause a
  crash (#72072)
* Wed Mar 02 2005 - adrian@suse.de
- add DVD warning dialog again
* Thu Feb 17 2005 - adrian@suse.de
- menu entry moved to xdg dir
* Mon Jan 03 2005 - coolo@suse.de
- fix installation of german man page
* Mon Jan 03 2005 - adrian@suse.de
- update to version 0.5 final
* Wed Dec 22 2004 - ro@suse.de
- only package english manpage for now
* Wed Nov 10 2004 - adrian@suse.de
- update to version 0.5rc2
* Wed Oct 06 2004 - adrian@suse.de
- update to version 0.5rc1
* Wed Sep 29 2004 - adrian@suse.de
- fix broken desktop file syntax
* Wed Sep 29 2004 - adrian@suse.de
- fix handling from streams
* Sun Sep 26 2004 - adrian@suse.de
- adjust mimetypes to KDE 3.3 mimetypes
- remove realplayer support, the Helix plugin is not supported atm.
* Thu Aug 19 2004 - adrian@suse.de
- use the logo codec file in theora format on SuSE 9.2 and later
* Wed Jun 02 2004 - adrian@suse.de
- update to version 0.4.3b
* Mon May 03 2004 - adrian@suse.de
- update to version 0.4.3
  * obsoletes XInitThread patch
* Fri Apr 16 2004 - adrian@suse.de
- apply crash fix from Helio
* Tue Apr 13 2004 - adrian@suse.de
- update to version 0.4.2
* Mon Apr 05 2004 - adrian@suse.de
- update czech translations
* Tue Mar 16 2004 - adrian@suse.de
- replace logo video. DivX4 won't work with our xine.
* Sat Feb 21 2004 - adrian@suse.de
- remove Music from Categories
* Mon Jan 19 2004 - adrian@suse.de
- update to version 0.4.1
* Sun Nov 16 2003 - adrian@suse.de
- update to final 0.4 version
* Fri Nov 07 2003 - adrian@suse.de
- fix build
- update to pre-0.4 snapshot
* Wed Oct 01 2003 - adrian@suse.de
- use --nofork in desktop file or temporary files are get
  removed to early
* Sun Sep 21 2003 - adrian@suse.de
- implement the message box different. It can get translated now
  and it solves also a crash in some cases. (#30224)
* Fri Sep 19 2003 - adrian@suse.de
- from #31052
  * fix possible crash on quit
  * ask explizit for the "none" audio driver, if "auto" fails.
* Fri Sep 19 2003 - adrian@suse.de
- add czech translation
* Thu Sep 18 2003 - varkoly@suse.de
- add hungarian translation
* Sat Sep 06 2003 - adrian@suse.de
- higher priority
- fix position change on pause
* Fri Sep 05 2003 - adrian@suse.de
- justify Categories
* Mon Aug 25 2003 - adrian@suse.de
- fix configure script to detect libXtest -> no DPMS anymore during
  playing
* Sat Aug 23 2003 - adrian@suse.de
- drop some delete calls, which are reported as invalid by valgrind
  seems that fixes the crashes
* Mon Jul 28 2003 - adrian@suse.de
- use new macro name for %%suse_update_desktop_file
* Mon Jul 28 2003 - adrian@suse.de
- add Categories
* Wed Jul 16 2003 - adrian@suse.de
- initial package of version 0.3.2
